AUPARSE_GOTO_FIELD_NUM(3)

NAME
auparse_goto_field_num - move field cursor to specific field

SYNOPSIS
#include <auparse.h>

int auparse_goto_field_num(const auparse_state_t *au, unsigned int num);

DESCRIPTION
auparse_goto_field_num will move the internal library cursors to point to a specific field number in the current record. Fields within the same record are numbered starting from 0. This is generally not needed but there are some cases where one may want precise control over the exact field being looked at.

RETURN VALUE

Returns 0 on error or 1 for success.

SEE ALSO

auparse_get_field_num(3),auparse_goto_record_num(3).

AUTHOR
Steve Grubb